6.0.0-git
2019-03-19

[#8990] IMAP Folder in INBOX
Summary IMAP Folder in INBOX
Queue IMP
Queue Version 4.3.6
Type Enhancement
State Rejected
Priority 3. High
Owners
Requester rene.plattner (at) uibk (dot) ac (dot) at
Created 2010-04-28 (3247 days ago)
Due
Updated 2010-04-29 (3246 days ago)
Assigned
Resolved 2010-04-29 (3246 days ago)
Milestone
Patch No

History
2010-04-29 17:12:43 Michael Slusarz Comment #5
State ⇒ Rejected
Reply to this comment
We use UW IMAPD with MBOX format.

MBOX Format: UNIX does not permit a name in the filesystem to be 
both a file and a directory; consequently you can not have a 
sub-mailbox within a mailbox that is in one of these formats.

Is there an option to handle this issue (disable dual use folders)?
No.  And I don't see a need for it.  Creation of an invalid mailbox 
should fail on the IMAP server, and this is sufficient.  Not sure why 
that is not happening in your case.
2010-04-29 07:25:22 rene (dot) plattner (at) uibk (dot) ac (dot) at Comment #4 Reply to this comment
We use UW IMAPD with MBOX format.

MBOX Format: UNIX does not permit a name in the filesystem to be both 
a file and a directory; consequently you can not have a sub-mailbox 
within a mailbox that is in one of these formats.

Is there an option to handle this issue (disable dual use folders)?

Kind regards,

René Plattner
2010-04-28 17:43:09 Michael Slusarz Comment #3
State ⇒ Feedback
Reply to this comment
What is the issue?  If the IMAP server allows mailboxes to be created 
under the INBOX, why should we prevent that?  If you don't want the 
IMAP server to support this, the IMAP server should be configured 
appropriately.
2010-04-28 11:13:46 rene (dot) plattner (at) uibk (dot) ac (dot) at Comment #2 Reply to this comment
I noticed that it is possible to create a folder in INBOX.
I can use this folder in the current session.
After an relogin I doesn't see it anymore.
Should we prog in a check in folders.php that the rename of inbox 
and the folder creation in inbox is not allowed?
IMAPD from university of washington mbox format.
2010-04-28 09:25:14 rene (dot) plattner (at) uibk (dot) ac (dot) at Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 3. High
Summary ⇒ IMAP Folder in INBOX
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
I noticed that it is possible to create a folder in INBOX.
I can use this folder in the current session.
After an relogin I doesn't see it anymore.
Should we prog in a check in folders.php that the rename of inbox and 
the folder creation in inbox is not allowed?

Saved Queries